org.eclipse.viatra.query.runtime.localsearch.operations.check

## Class ExpressionEvalCheck

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.operations.check.CheckOperation
  - - org.eclipse.viatra.query.runtime.localsearch.operations.check.ExpressionEvalCheck

- All Implemented Interfaces:
    ISearchOperation

      public class ExpressionEvalCheck
      extends CheckOperation

  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionEvalCheck(IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> nameMap, int position)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `check(MatchingFrame frame)` Executes the checking operation
    `java.util.List<java.lang.Integer>` | `getVariablePositions()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.localsearch.operations.check.CheckOperation

      `execute, onBacktrack, onInitialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionEvalCheck

          public ExpressionEvalCheck(IExpressionEvaluator evaluator,
                                     java.util.Map<java.lang.String,java.lang.Integer> nameMap,
                                     int position)

  - ### Method Detail

    - #### getVariablePositions

          public java.util.List<java.lang.Integer> getVariablePositions()

      Returns:
        the ordered list of the variable numbers that are affected by the search operation

    - #### check

          protected boolean check(MatchingFrame frame)
                           throws LocalSearchException

      Description copied from class: `CheckOperation`
      Executes the checking operation
      Specified by:
        `check` in class `CheckOperation`
      Returns:
      Throws:
        `LocalSearchException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`